FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian dpkg

 
 
LinkBack Thread Tools
 
Old 07-14-2011, 09:50 PM
"John D. Hendrickson and Sara Darnell"
 
Default Bug#633388: apt-cache dotty goof ??

Debian Bug Tracking System wrote:

Thank you for the additional information you have supplied regarding
this Bug report.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
Eugene V. Lyubimkin <jackyf@debian.org>

If you wish to submit further information on this problem, please
send it to 633388@bugs.debian.org.

Please do not send mail to owner@bugs.debian.org unless you wish
to report a problem with the Bug-tracking system.



I wrote a script that tsorts all debian packages (in avail and status) and and working on how that
may be used.


I notice this probem: it is pretty but is very mis-informational

$apt-cache dotty dpkg > dot ; dotty dot

shows 'dselect' as SAME but HIGHER relationship AS LIBC6

dpkg never mentions dselect except by SUGGESTS
(and I'm unsure I didn't check)

shows 'wine' as EQUAL rel. to dpkg as 'timezone' is !!

# (a script I use that takes all deps and uses tsort-out file to order them VERY quickly)

# this shows depends and pre-depends but not sugests - meaning 'wine' isn't in there ...

./show-deps dpkg
--- dpkg ---
libc-bin gcc-4.4-base libc6 libgcc1 libselinux1 zlib1g libattr1 libacl1 libbz2-1.0 coreutils xz-utils


JUST FOR FUN ...

$./show-deps gnome

--- gedit ---
libc-bin gcc-4.4-base libc6 libgcc1 libpcre3 libselinux1 zlib1g libglib2.0-0 libattr1 libacl1
liblzma2 libbz2-1.0 coreutils xz-utils dpkg install-info perl-base libdb4.7 libgdbm3 perl
perl-modules readline-common libncurses5 libreadline6 libtext-charwidth-perl liblocale-gettext-perl
libtext-iconv-perl libtext-wrapi18n-perl debconf-i18n debconf debconf-english libslang2
libdebian-installer4 libnewt0.52 libtextwrap1 sed ncurses-bin sensible-utils cdebconf lsb-base
debianutils libkeyutils1 libkrb5support0 libcomerr2 libk5crypto3 libkrb5-3 libgssapi-krb5-2
libssl0.9.8 libdb4.8 libpam0g libpam-modules passwd libuuid1 libavahi-common-data libgpg-error0
libavahi-common3 libdbus-1-3 libgcrypt11 libtasn1-3 libavahi-client3 libgnutls26 libsqlite3-0
libcups2 libjpeg62 libfreetype6 libstdc++6 libncursesw5 libexpat1 python2.6-minimal mime-support
python2.6 python-minimal python python-support adduser ucf libdbus-glib-1-2 dbus libxml2 libsasl2-2
libldap-2.4-2 libgfortran3 libblas3gf libatlas3gf-base liblapack3gf python-numpy shared-mime-info
libgmp3c2 libfontenc1 x11-common libxfont1 xfonts-encodings gsfonts xfonts-utils libxau6 libxdmcp6
ttf-dejavu-core ttf-bitstream-vera ttf-freefont gsfonts-x11 libxcb1 libx11-data fontconfig-config
libx11-6 libfontconfig1 libxrender1 libxext6 libxft2 libice6 libsm6 libjasper1 libpng12-0 libtiff4
libxcb-render0 libpixman-1-0 libxcb-render-util0 libcairo2 libmagic1 file libxi6 libxrandr2
libaspell15 libmpfr4 cpp-4.4 cpp libpopt0 libxfixes3 libxdamage1 libxcomposite1 libxcursor1
fontconfig libxinerama1 libffi5 whiptail dialog defoma libdatrie1 libthai-data libpango1.0-common
libthai0 libgtk2.0-common libatk1.0-0 libpango1.0-0 libgtk2.0-0 libidl0 liborbit2 gconf2-common
libgconf2-4 psmisc dbus-x11 gconf2 libhunspell-1.2-0 libenchant1c2a python-cairo python-gobject
python-gtk2 libpython2.6 libgtksourceview2.0-common libgtksourceview2.0-0 python-gtksourceview2
gedit-common



# (because the above included ORs as possible dependencies before sorting)

$ apt-cache showpkg gedit
Package: gedit
Versions:
2.8.3-4(/var/lib/apt/lists/sol8.hunter_pub_debian2_debian-31r0a-i386-binary-1.iso_dists_sarge_main_binary-i386_Packages)(/var/lib/dpkg/status)

Reverse Depends:
gworkspace-apps-wrappers,gedit
gedit-dev,gedit 2.8.3-4
gnome-core,gedit 2.8.2
gedit-common,gedit 2.6.0-1
gedit-common,gedit
Dependencies:
2.8.3-4 - gconf2 (2 2.6.2-1) libart-2.0-2 (2 2.3.16) libaspell15 (2 0.60) libatk1.0-0 (2 1.7.2)
libbonobo2-0 (2 2.8.0) libbonoboui2-0 (2 2.5.4) libc6 (2 2.3.2.ds1-21) libeel2-2 (2 2.8.2)
libgail-common (2 1.6.6) libgail17 (2 1.6.6) libgconf2-4 (2 2.8.1) libglade2-0 (2 1:2.4.2-2)
libglib2.0-0 (2 2.6.0) libgnome2-0 (2 2.8.0) libgnomecanvas2-0 (2 2.6.0) libgnomeprint2.2-0 (2
2.8.0-1) libgnomeprintui2.2-0 (2 2.8.0) libgnomeui-0 (2 2.8.0) libgnomevfs2-0 (2 2.8.3-7)
libgtk2.0-0 (2 2.6.0) libgtksourceview1.0-0 (2 1.1.1) libice6 (16 (null)) xlibs (4 4.1.0) liborbit2
(2 1:2.10.0) libpango1.0-0 (2 1.8.1) libpopt0 (2 1.7) libsm6 (16 (null)) xlibs (4 4.1.0) libxml2 (2
2.6.16) zlib1g (2 1:1.2.1) scrollkeeper (0 (null)) gedit-common (5 2.8.3-4)

Provides:
2.8.3-4 -
Reverse Provides:



--
To UNSUBSCRIBE, email to debian-dpkg-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4E1F6499.6080106@cox.net">http://lists.debian.org/4E1F6499.6080106@cox.net
 

Thread Tools




All times are GMT. The time now is 07:39 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org